Bug 4946 - hold warning needs rewording
Summary: hold warning needs rewording
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-06 20:28 UTC by Nicole C. Engard
Modified: 2012-10-25 22:52 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Confirmation when item is checked out to another patron (9.54 KB, image/png)
2010-07-08 13:56 UTC, Owen Leonard
Details
Confirmation when item is on hold for another patron (11.25 KB, image/png)
2010-07-08 13:57 UTC, Owen Leonard
Details
Confirmation when item is already checked out to the patron (8.31 KB, image/png)
2010-07-08 13:58 UTC, Owen Leonard
Details
Confirmation when item is waiting for another patron (11.86 KB, image/png)
2010-07-08 13:59 UTC, Owen Leonard
Details
Confirmation when patron has too many checked out (6.54 KB, image/png)
2010-07-08 14:40 UTC, Owen Leonard
Details
Proposed fix (9.33 KB, patch)
2010-07-08 14:48 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-07-06 20:28:04 UTC
When you try to check out an item that is on hold for someone else the wording of the message is confusing: 

  "Item is on hold for 2010-05-13 : Jordan Alford (23529000050113)"

It should instead read:

  "Item is on hold for Jordan Alford (23529000050113) since 2010-05-13"

or whatever the date is that's listed - but right now it looks like it's on hold for the date ...
Comment 1 Owen Leonard 2010-07-08 13:56:53 UTC
Created attachment 2325 [details]
Confirmation when item is checked out to another patron

Now with additional information.
Comment 2 Owen Leonard 2010-07-08 13:57:23 UTC
Created attachment 2326 [details]
Confirmation when item is on hold for another patron

Now with additional information.
Comment 3 Owen Leonard 2010-07-08 13:58:44 UTC
Created attachment 2327 [details]
Confirmation when item is already checked out to the patron

Now with additional information
Comment 4 Owen Leonard 2010-07-08 13:59:11 UTC
Created attachment 2328 [details]
Confirmation when item is waiting for another patron

Now with additional information
Comment 5 Owen Leonard 2010-07-08 14:40:33 UTC
Created attachment 2329 [details]
Confirmation when patron has too many checked out

Improved phrasing
Comment 6 Owen Leonard 2010-07-08 14:48:08 UTC
Created attachment 2330 [details] [review]
Proposed fix

This patch improves the phrasing of several messages by breaking the message variable into distinct parts for more natural-sounding warnings when:
    
    - Checking out an item on hold for another patron
    - Checking out an item which is waiting for another patron
    - Checking out an item which is checked out to another patron
    - Checking out an item which is checked out to this patron
    - Checking out to a patron who has too many checked out
    
I would appreciate special attention to my changes to the TooMany function in Circulation.pm to make sure I handled it correctly.
Comment 7 Chris Cormack 2010-12-16 20:45:45 UTC
Patch pushed, please test